Skip to main content
PATCH
/
cards
/
virtual-cards
/
{cardId}
/
virtual-balance
curl -X PATCH "https://api.cryptomate.me/cards/virtual-cards/card_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23/virtual-balance" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "virtual_balance": 2500.00
  }'
2500.00
Manually overrides the virtual balance of a card. Requires an API key with access level 2 or higher.

Path parameters

cardId
string
required
Card identifier.

Body

virtual_balance
number
required
Virtual balance amount in USD. Must be greater than or equal to 0.

Response

Returns the new virtual balance as a JSON number.
curl -X PATCH "https://api.cryptomate.me/cards/virtual-cards/card_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23/virtual-balance" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "virtual_balance": 2500.00
  }'
2500.00